Subject: Re: [PATCH] git-svn: error out when the SVN connection fails during a fetch

From: Florian Weimer <[email-masked]>
Date: Sun, 03 Dec 2006 19:23:52 +0100

* Eric Wong:

> finish_report does seem to return a useful value indicating success
> or failure, so we'll just set a flag when close_edit is called
> (it is not called on failures, nor is abort_edit) and check
> the flag before proceeding.

It seems that this needs some kind of fine-tuning.  Now that git-svn
uses HTTP keepalive connections, you get a HTTP request error once you
run into the server-side request limit.  It seems a bit excessive to